org.apache.ignite.internal.visor.cache

## Class VisorCacheEvictionConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheEvictionConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheEvictionConfiguration
    extends Object
    implements Serializable

Data transfer object for eviction configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheEvictionConfiguration()`

### Method Summary

Methods
`boolean` `evictSynchronized()`
`void` `evictSynchronized(boolean evictSynchronized)`
`String` `filter()`
`void` `filter(String filter)`
`static VisorCacheEvictionConfiguration` `from(CacheConfiguration ccfg)`
`float` `maxOverflowRatio()`
`void` `maxOverflowRatio(float maxOverflowRatio)`
`boolean` `nearSynchronized()`
`void` `nearSynchronized(boolean nearSynchronized)`
`String` `policy()`
`void` `policy(String plc)`
`Integer` `policyMaxSize()`
`void` `policyMaxSize(Integer plcMaxSize)`
`int` `synchronizedConcurrencyLevel()`
`void` `synchronizedConcurrencyLevel(int syncConcurrencyLvl)`
`int` `synchronizedKeyBufferSize()`
`void` `synchronizedKeyBufferSize(int syncKeyBufSize)`
`long` `synchronizedTimeout()`
`void` `synchronizedTimeout(long syncTimeout)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheEvictionConfiguration

    public VisorCacheEvictionConfiguration()

### Method Detail

#### from

    public static VisorCacheEvictionConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for eviction configuration properties.

#### policy

    @Nullable
    public String policy()

Returns:
  Eviction policy.

#### policy

    public void policy(String plc)

Parameters:
  `plc` - New eviction policy.

#### policyMaxSize

    @Nullable
    public Integer policyMaxSize()

Returns:
  Cache eviction policy max size.

#### policyMaxSize

    public void policyMaxSize(Integer plcMaxSize)

Parameters:
  `plcMaxSize` - New cache eviction policy max size.

#### filter

    @Nullable
    public String filter()

Returns:
  Eviction filter to specify which entries should not be evicted.

#### filter

    public void filter(String filter)

Parameters:
  `filter` - New eviction filter to specify which entries should not be evicted.

#### synchronizedConcurrencyLevel

    public int synchronizedConcurrencyLevel()

Returns:
  synchronized eviction concurrency level.

#### synchronizedConcurrencyLevel

    public void synchronizedConcurrencyLevel(int syncConcurrencyLvl)

Parameters:
  `syncConcurrencyLvl` - New synchronized eviction concurrency level.

#### synchronizedTimeout

    public long synchronizedTimeout()

Returns:
  synchronized eviction timeout.

#### synchronizedTimeout

    public void synchronizedTimeout(long syncTimeout)

Parameters:
  `syncTimeout` - New synchronized eviction timeout.

#### synchronizedKeyBufferSize

    public int synchronizedKeyBufferSize()

Returns:
  Synchronized key buffer size.

#### synchronizedKeyBufferSize

    public void synchronizedKeyBufferSize(int syncKeyBufSize)

Parameters:
  `syncKeyBufSize` - New synchronized key buffer size.

#### evictSynchronized

    public boolean evictSynchronized()

Returns:
  Synchronous evicts flag.

#### evictSynchronized

    public void evictSynchronized(boolean evictSynchronized)

Parameters:
  `evictSynchronized` - New synchronous evicts flag.

#### nearSynchronized

    public boolean nearSynchronized()

Returns:
  Synchronous near evicts flag.

#### nearSynchronized

    public void nearSynchronized(boolean nearSynchronized)

Parameters:
  `nearSynchronized` - New synchronous near evicts flag.

#### maxOverflowRatio

    public float maxOverflowRatio()

Returns:
  Eviction max overflow ratio.

#### maxOverflowRatio

    public void maxOverflowRatio(float maxOverflowRatio)

Parameters:
  `maxOverflowRatio` - New eviction max overflow ratio.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015